package svc

import (
	"fusenapi/initalize"
	"fusenapi/model/gmodel"
	"fusenapi/server/ldap-admin/internal/config"
	"github.com/go-ldap/ldap/v3"
	"gorm.io/gorm"
)

type ServiceContext struct {
	Config    config.Config
	MysqlConn *gorm.DB
	AllModels *gmodel.AllModelsGen
	RabbitMq  *initalize.RabbitMqHandle
	Ldap      *ldap.Conn
}

func NewServiceContext(c config.Config) *ServiceContext {
	conn := initalize.InitMysql(c.SourceMysql)

	return &ServiceContext{
		Config:    c,
		MysqlConn: conn,
		AllModels: gmodel.NewAllModels(initalize.InitMysql(c.SourceMysql)),
		RabbitMq:  initalize.InitRabbitMq(c.SourceRabbitMq, nil),
		Ldap:      initalize.InitLdap(c.Ldap.Host, c.Ldap.BindDN, c.Ldap.Password),
	}
}
